SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE VIEW [transform_imr].[current_date_prognose]
AS
SELECT Arbeitstage."bundeslaender_id" AS "Bundeslaender Id",
       Arbeitstage."datum"            AS "Datum",
       Arbeitstage."wochentage_id"    AS "Wochentage Id",
       Arbeitstage."arbeitstag_mofr"  AS "Arbeitstag Mofr",
       Arbeitstage."zaehler_mofr"     AS "Zaehler Mofr",
       Arbeitstage."summe_mofr"       AS "Summe Mofr",
       Arbeitstage."arbeitstag_mosa"  AS "Arbeitstag Mosa",
       Arbeitstage."zaehler_mosa"     AS "Zaehler Mosa",
       Arbeitstage."summe_mosa"       AS "Summe Mosa",
       Arbeitstage."feiertage_id"     AS "Feiertage Id",
       (getdate()) - 1                AS "Jahr",
       CASE
           WHEN Arbeitstage."arbeitstag_mofr" = '1'
               THEN Arbeitstage."zaehler_mofr"
           ELSE 0
           END                        AS "Arbeitstag Nr Jahr",
       Arbeitstage."summe_mofr"       AS "Gesamt Arbeitstage"
FROM "data"."Arbeitstage" Arbeitstage
WHERE (
          (
              (
                  (
                      (
                          (Arbeitstage."bundeslaender_id" = '10')
                              AND (Arbeitstage."arbeitstag_mofr" = 1)
                          )
                          AND ((year(Arbeitstage."datum")) = (year(((getdate()) - 1))))
                      )
                      AND (Arbeitstage."datum" <= ((getdate()) - 1))
                  )
                  AND (Arbeitstage."datum" <= ((getdate()) - 1))
              )
              OR (
              (
                  (
                      (Arbeitstage."bundeslaender_id" = '10')
                          AND ((year(Arbeitstage."datum")) = (year(((getdate()) - 1))))
                      )
                      AND (Arbeitstage."datum" <= ((getdate()) - 1))
                  )
                  AND (Arbeitstage."datum" IN
                       (convert(DATETIME, '2019-01-01 00:00:00.000'), convert(DATETIME, '2020-01-01 00:00:00.000'),
                        convert(DATETIME, '2021-01-01 00:00:00.000'), convert(DATETIME, '2022-01-01 00:00:00.000'),
                        convert(DATETIME, '2023-01-01 00:00:00.000')))
              )
          )
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
